org.bouncycastle.asn1

## Class DERTaggedObject

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1TaggedObject
      - - org.bouncycastle.asn1.DERTaggedObject

- All Implemented Interfaces:
    ASN1Encodable, ASN1TaggedObjectParser, InMemoryRepresentable, Encodable

      public class DERTaggedObject
      extends ASN1TaggedObject

  DER TaggedObject - in ASN.1 notation this is any object preceded by a [n] where n is some number - these are assumed to follow the construction rules (as with sequences).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERTaggedObject(boolean explicit, int tagNo, ASN1Encodable obj)`
    `DERTaggedObject(boolean explicit, int tagClass, int tagNo, ASN1Encodable obj)`
    `DERTaggedObject(int tagNo, ASN1Encodable encodable)`
    `DERTaggedObject(int tagClass, int tagNo, ASN1Encodable obj)`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1TaggedObject

      `getBaseObject, getBaseUniversal, getContextInstance, getContextInstance, getContextOptional, getContextOptional, getExplicitBaseObject, getExplicitBaseTagged, getImplicitBaseTagged, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLoadedObject, getOptional, getOptional, getOptional, getTagClass, getTagNo, hasContextTag, hasContextTag, hashCode, hasTag, hasTagClass, isExplicit, parseBaseUniversal, parseExplicitBaseObject, parseExplicitBaseTagged, parseImplicitBaseTagged, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable

      `toASN1Primitive`

- - ### Constructor Detail

    - #### DERTaggedObject

          public DERTaggedObject(int tagNo,
                                 ASN1Encodable encodable)

    - #### DERTaggedObject

          public DERTaggedObject(int tagClass,
                                 int tagNo,
                                 ASN1Encodable obj)

    - #### DERTaggedObject

          public DERTaggedObject(boolean explicit,
                                 int tagNo,
                                 ASN1Encodable obj)

      Parameters:
        `explicit` - true if an explicitly tagged object.
        `tagNo` - the tag number for this object.
        `obj` - the tagged object.

    - #### DERTaggedObject

          public DERTaggedObject(boolean explicit,
                                 int tagClass,
                                 int tagNo,
                                 ASN1Encodable obj)